<div class="modal-dialog" id="appointment-status-modal">
    <div class="modal-content">
      <img class="mb-4 hope-logo" src="../../../assets/hope_logo.svg" alt="">
      <div class="modal-header">
        <h5 class="modal-title" id="modalLabel">Appointment Status</h5>
      </div>
      <div class="modal-body">
        <!--Divs to show appointment details-->
        <div class="row mb-3">
          <label for="appointment-status" class="col-sm-5 col-form-label"
            >Status:</label>
            <div class="col-sm-6">
              <table><tr><td>{{apptStatus}}</td></tr></table>
            </div>
        </div>
        <div *ngIf="apptStatus=='Confirmed'">
          <div class="row mb-3">
            <label for="appointment-date" class="col-sm-5 col-form-label"
              >Appointment Date:</label>
              <div class="col-sm-6">
                <table><tr><td>{{apptDateTime}}</td></tr></table>
              </div>
          </div>
          <div class="row mb-3">
            <label for="appointment-provider" class="col-sm-5 col-form-label"
              >Appointment Provider:</label>
              <div class="col-sm-6">
                <table><tr><td>{{apptProvider}}</td></tr></table>
              </div>
          </div>   
          <div class="row mb-3">
            <label for="appointment-location" class="col-sm-5 col-form-label"
              >Appointment Location:</label>
              <div class="col-sm-6">
                <table><tr><td [innerHTML]="apptLocation"></td></tr></table>
                
              </div>
          </div>  
          <div class="row mb-3">
            <label for="appointment-type" class="col-sm-5 col-form-label"
              >Vaccine Manufacturer:</label>
              <div class="col-sm-6">
                <table><tr><td>{{apptType}}</td></tr></table>
              </div>
          </div> 
        </div>
        <div *ngIf="apptStatus!='Confirmed'">
          <h1>You are on the waitlist</h1>
          <p>You have been added to the waitlist and will be notified immediately when a local vaccine provider can administer your vaccine. Please be patient in the meantime and of course always follow CDC and local regulational guideline to protect your health and the health of others.</p>
          <p>Thank you for being proactive in eliminating the covid-19 threat!</p>
        </div>
        <div class="modal-footer">   
          <button      
          type="button"
          class="btn btn-primary"
          data-bs-dismiss="modal" 
          [mat-dialog-close]="true"
          >
          Close
          </button>
        </div>      
      </div>
    </div>
  </div>
  